package com.autentia.citas.utils;

import java.io.File;
import java.util.HashMap;
import java.util.Map;
import javax.ejb.embeddable.EJBContainer;
import javax.naming.Context;

public class Utils {
	
	public static EJBContainer container;
	public static Context ctx;	
	
	public static void startContainer() throws Exception {
		
		// Inicializamos el EJB Container...		
		Map<String, Object> properties = new HashMap<String, Object>();
		// Le decimos donde estn los EJBs
		properties.put(EJBContainer.MODULES, new File("target/classes"));
		// Le damos un nombre a la aplicacin
		properties.put(EJBContainer.APP_NAME, "citas");		
		container = EJBContainer.createEJBContainer(properties);		
		ctx=container.getContext();		
	}
	
	
	public static void closeContainer() {		
		container.close();
	}

	
	
}
